OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.ARB.MatrixPalette

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBMatrixPalette :: MonadIO m => m Bool
- gl_ARB_matrix_palette :: Bool
- pattern GL_CURRENT_MATRIX_INDEX_ARB :: GLenum
- pattern GL_CURRENT_PALETTE_MATRIX_ARB :: GLenum
- pattern GL_MATRIX_INDEX_ARRAY_ARB :: GLenum
- pattern GL_MATRIX_INDEX_ARRAY_POINTER_ARB :: GLenum
- pattern GL_MATRIX_INDEX_ARRAY_SIZE_ARB :: GLenum
- pattern GL_MATRIX_INDEX_ARRAY_STRIDE_ARB :: GLenum
- pattern GL_MATRIX_INDEX_ARRAY_TYPE_ARB :: GLenum
- pattern GL_MATRIX_PALETTE_ARB :: GLenum
- pattern GL_MAX_MATRIX_PALETTE_STACK_DEPTH_ARB :: GLenum
- pattern GL_MAX_PALETTE_MATRICES_ARB :: GLenum
- glCurrentPaletteMatrixARB :: MonadIO m => GLint -> m ()
- glMatrixIndexPointerARB :: MonadIO m => GLint -> GLenum -> GLsizei -> Ptr a -> m ()
- glMatrixIndexubvARB :: MonadIO m => GLint -> Ptr GLubyte -> m ()
- glMatrixIndexuivARB :: MonadIO m => GLint -> Ptr GLuint -> m ()
- glMatrixIndexusvARB :: MonadIO m => GLint -> Ptr GLushort -> m ()

# Extension Support

glGetARBMatrixPalette :: MonadIO m => m Bool Source #

Is the ARB_matrix_palette extension supported?

gl_ARB_matrix_palette :: Bool Source #

Is the ARB_matrix_palette extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBMatrixPalette` in those cases instead.

# Enums

pattern GL_CURRENT_MATRIX_INDEX_ARB :: GLenum Source #

pattern GL_CURRENT_PALETTE_MATRIX_ARB :: GLenum Source #

pattern GL_MATRIX_INDEX_ARRAY_ARB :: GLenum Source #

pattern GL_MATRIX_INDEX_ARRAY_POINTER_ARB :: GLenum Source #

pattern GL_MATRIX_INDEX_ARRAY_SIZE_ARB :: GLenum Source #

pattern GL_MATRIX_INDEX_ARRAY_STRIDE_ARB :: GLenum Source #

pattern GL_MATRIX_INDEX_ARRAY_TYPE_ARB :: GLenum Source #

pattern GL_MATRIX_PALETTE_ARB :: GLenum Source #

pattern GL_MAX_MATRIX_PALETTE_STACK_DEPTH_ARB :: GLenum Source #

pattern GL_MAX_PALETTE_MATRICES_ARB :: GLenum Source #

# Functions

glCurrentPaletteMatrixARB Source #

Arguments

:: MonadIO m |
=> GLint | `index`.
-> m () |

glMatrixIndexPointerARB Source #

Arguments

:: MonadIO m |
=> GLint | `size`.
-> GLenum | `type` of type MatrixIndexPointerTypeARB.
-> GLsizei | `stride`.
-> Ptr a | `pointer` pointing to `COMPSIZE(size,type,stride)` elements of type `a`.
-> m () |

glMatrixIndexubvARB Source #

Arguments

:: MonadIO m |
=> GLint | `size`.
-> Ptr GLubyte | `indices` pointing to `size` elements of type `GLubyte`.
-> m () |

glMatrixIndexuivARB Source #

Arguments

:: MonadIO m |
=> GLint | `size`.
-> Ptr GLuint | `indices` pointing to `size` elements of type `GLuint`.
-> m () |

glMatrixIndexusvARB Source #

Arguments

:: MonadIO m |
=> GLint | `size`.
-> Ptr GLushort | `indices` pointing to `size` elements of type `GLushort`.
-> m () |